#include <stdio.h>

int main() {
	int input,lenth = 0;
	scanf("%d",&input);
	int input2 = input;
	
	while(input > 0) {
		lenth++;
		input /= 10;
	}
	
	printf("%d\n",lenth);
	printf("%d\n",input2);
	
    while (input2 > 0) {
        int digit = input2 % 10;
        printf("%d", digit);
        input2 /= 10;
    }
	
	return 0;
}